; ATTiny 44 fr Webasto Termo Top im Audi
; Test fr Kommunikation Chronos <-> RFM
; 19.09.2011 RSoft Berlin

.equ	VER		= '0'
.equ	REV		= '3'

.include "tn44def.inc"

.include "Definitionen.inc"

;****************************** Vektor-Liste ************************

.CSEG
       rjmp    Reset
			 
;****************************** Programm-Beginn **********************

;*********************************************************************
;  Initialisierungsroutine
;*********************************************************************

.ORG	INT_VECTORS_SIZE

.ORG	EXT_INT0addr
		rjmp	empfang
; Hardware initialisieren

Reset:
		ldi     TEMP_0,low(RAMEND)          ; Stack an das interne Ram-Ende
        out     SPL,TEMP_0
		ldi     TEMP_0,high(RAMEND)         ; Stack an das interne Ram-Ende
        out     SPH,TEMP_0
; Port A *************************************************************
		ldi		TEMP_0,(1<<RFM12_CS)		
        out     PORTA,TEMP_0 
		ldi		TEMP_0,(1<<RFM12_SDI) | (1<<RFM12_SCK) | (1<<RFM12_CS) | (1<<TxD)  
		out     DDRA,TEMP_0


; Port B *************************************************************
		
		ldi		TEMP_0,(1<<RFM12_IRQ_IN)
		out     PORTB,TEMP_0

; Port C *************************************************************


; Port D *************************************************************


; UART ***************************************************************

; External Interrupt *************************************************

		ldi		TEMP_0,(1<<INT0)
		out		GIMSK, TEMP_0
		ldi		TEMP_0,(1<<ISC01)
		out		MCUCR,TEMP_0
		


;*********************************************************************				 

; Software initialisieren

		ldi		TEMP_0,250				; 200ms

init_wait_loop:
		rcall	wait_20ms
		dec		TEMP_0
		brne	init_wait_loop

		
		load_p	Z,(2*text_reset)
		rcall	uart_send_text

		rcall	rfm12_init

		
		load_p	Z,(2*text_rfm_init)
		rcall	uart_send_text

		rcall	RFM12_radio_ein

		load_p	Z,(2*text_rfm_radio)
		rcall	uart_send_text
		
		sei									 
;*********************************************************************
;  Main-Loop
;*********************************************************************

main:	
		WGLOOP0:  ldi  R24, $7C
		WGLOOP1:  ldi  R25, $FC
		WGLOOP2:  dec  R25
          		  brne WGLOOP2
           		  dec  R24
          		  brne WGLOOP1
          		  dec  R23
          		  brne WGLOOP0

		          ldi  R23, $0B
		WGLOOP3:  dec  R23
        		  brne WGLOOP3
		rcall	send_test_data	
		rjmp main
		
empfang: 		
		cli
		ldi		TEMP_0,15				; Paketlnge
		rcall	rfm12_read_fifo

send_debug_data:
		ldi		TEMP_3,15		;Counter
		load_p	Y,DATA_BUF
send_debug_data_loop:
		ld		TEMP_0,Y+
		rcall	putchar
		dec		TEMP_3
		breq	send_debug_data_loop_end
		rjmp	send_debug_data_loop
				
send_debug_data_loop_end:		

		ldi		TEMP_0,0x03
		rcall	putchar
		rcall	RFM12_radio_ein
		sei
		reti



send_test_data:
		rcall	RFM12_sender_ein
		ldi		TEMP_0,15
		rcall	RFM12_write_fifo

		ret




/*
main_loop_batt:
		ld		TEMP_0,Y
		cpi		TEMP_0,0xA5				; Batterie
		breq	main_end				; ok

		load_p	Z,(2*text_batterie)
		rcall	uart_send_text
																	
main_end:		
		
*/



;*********************************************************************				 

.include "Subroutinen.inc"
.include "RFM12.inc"
.include "dfue.inc"
.include "Tabellen.inc"
