
; Definitionen fr Tiny 44

; Belegungen der Atmel-Ports:

;*****************************************************************

;	PB0		Xtal1
;   PB1		Xtal2					
;   PB2		PCINT10 INT0 OC0A		RFM12 IRQ	[nIRQ]
;   PB3		PCINT11	dW	 Reset		ISP	


;	PA0		ADC0				RFM12 SDI	[SDI]
;	PA1		ADC1				RFM12 SDO	[SDO]
;	PA2		ADC2				Eingang Klemme 15  ISP
;	PA3		ADC3				RFM12 CS	[nSEL]
;	PA4		ADC4				RFM12 SCK	[SCK]
;	PA5		MISO					ISP		
;	PA6		MOSI					ISP
;	PA7		OC0B				Ausgang Heizung


	
// nFFS: 1-10k Pullup an Vcc !!!

;*****************************************************************

;--- Allgemeines -----------------------------------------------

.equ    F_CPU           = 14745600
.equ    CYCLES_PER_US   = ((F_CPU+500000)/1000000)

.equ    UART_BAUD_RATE  = 38400
.equ    UART_BAUD_SELECT= (F_CPU/(UART_BAUD_RATE*16))-1

.equ	UART_ANZAHL_STOPPBIT = 1			; Stoppbit fr Soft UART
.equ	BIT_LENGHT		= F_CPU/UART_BAUD_RATE
.equ	UART_BAUD_DELAY = (BIT_LENGHT-23)/6			; Soft UART baud rate 

.equ	RFM12_Baud		= 9600
.equ	RFM_BAUD_SELECT	= (0xC600|((344828/RFM12_Baud)-1)) 
.equ    RFM_FREQ		= 434002350
.equ	RFM_TX_POWER	= 0   ; Volle Sendeleistung
.equ	RFM_MOD_SHIFT	= 6   ; 120kHz Frequenzshift
.equ	RFM_FREQ_SELECT	= (0xA000|((((RFM_FREQ-430000000)*400)/1000000)+1))	;Fc=430+F*0.0025 MHz
.equ	RFM_PW_SET		= (0x9800|(RFM_TX_POWER&7)|((RFM_MOD_SHIFT&15)<<4))
;**************************** Port-Bits ***************************

.equ	RFM12_PORT		= PORTA
.equ	RFM12_PIN		= PINA

.equ	RFM12_SDI		= PA0
.equ	RFM12_SCK		= PA4
.equ	RFM12_SDO		= PA1
.equ	RFM12_CS		= PA3

.equ	RFM12_IRQ_PORT	= PORTB
.equ	RFM12_IRQ_IN	= PB2

.equ	RFM12_IRQ_PIN	= PINA
.equ	E_Kl_15			= PA2
.equ	RxD				= PA5
.equ	TxD				= PA6
;***************************** FLAGS IRQ **************************

;***************************** FLAGS ******************************

;**************************** Ram-Reservierungen ******************

;--- Internes Ram ------------------------------------------------

.DSEG

.ORG    0x060										; 160 Byte allgemein

DATA_BUF:	.byte	64

;**************************** Register ****************************

;--- lower Register -----------------------------------------------

.def	SREG_SAVE	= r0
.def	NULL		= r1

;--- higher Register ----------------------------------------------

.def	FLAGS		= r16							; Flags fr Funktionen

.def	TEMP_3		= r22                   		; Temp-Register
.def	TEMP_2		= r23                   		; Temp-Register
.def	TEMP_1		= r24                   		; Temp-Register
.def	TEMP_0		= r25							; Temp-Register

; r26/r27, r28/r29, r30/r31 fr X,Y,Z reserviert 

;--- Macros -------------------------------------------------------

.macro  load_p                      ; ldt 16Bit @1 nach @0 High und @0 Low

        ldi     @0H,HIGH(@1)
        ldi     @0L,LOW(@1)

.endmacro

